> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Create a keyword

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/keywords/
Content-Type: application/json

Create a new keyword

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/keywords/create-a-keyword

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

### Body (application/json)

This endpoint expects a KeywordSerializerWriterRequest.

- `name` (string, required)

## Response

### 201

Successful operation

- `id` (string, required)
- `name` (string, optional, nullable)

## Errors

### 404 Not Found Error

- `map from string to any`

## Examples

**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed99",
  "title": "Entry Keyword"
}
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/keywords/"

payload = { "name": "string" }
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/keywords/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```